
From: KC6HPN @ WB6YMH.#SOCA.CA

TAPR FULL-DUPLEX (NEW) 9600 BAUD MODEM MODS BY KC6HPN  (PART 2 OF 4)

2.   HOW:   Remove capacitor C24 (330 pf) and replace resistor R34 (2.2 k)
with a wire (zero ohm) jumper -BUT ONLY IF YOU PUT IN MOD#3 -

     WHY:  Capacitance and series resistance are the kiss of death to digital
circuits.  Unless U19F is a schmitt-triggered gate, such as the 74HC14, (which
it is not), its output will glitch due to the slow risetime of the input
waveform.  Since U19F is in the data path, this will cause an increase in bit
errors, even when the modem is receiving a strong, well formed signal.
Ironically, the RC circuit formed by R34 and C24 may have been intended to
filter out glitches from the bit recovery circuit (U7B, U11D) which has
problems of its own (see mod#3).  Or it may have been intended to solve a
critical race condition by providing an RC delay (never use an RC for
this...use a flip-flop instead).  In the case of my modem, removing this
circuit once mod#3 was made improved performance.  

3.   Okay, the easy part is over.  This mod is the most critical  and the most
difficult.  I'm also going to do "WHY" first this time, and "HOW" later. 
 
     WHY:   It is very, very necessary to add a double-buffering circuit
directly after the data slicer (U4A, D2).  A double buffer circuit consists of
two flip-flops connected in SERIES and operated off of the same clock (fig.1).
Its purpose is to synchronize external, asynchronous, signals to an internal
clock without causing glitches.

                                             +5 v
                                               _
                                               |
                                             D o------------------
                                               |                 |
                                               \                 |
                                          10K  /                 |
            74HC74 Dual D Flip-Flop            \                 |
                                               /                 |
                                               |                 |
                    ---------------------------o                 o---
                    |10              |4        |                 |   |
                ----o----        ----o----     |                 |14 |
             12 |  PR   | 9    2 |  PR   | 5   |                VCC  |0.047 uf
       A -------| D   Q |--------| D   Q |---------- B              ---
   Slicer    11 |       | 8    3 |       | 6   |  Buffered          ---
   data in   ---|>CLK QN|-    ---|>CLK QN|-    |  data out      GND  |
             |  |  CL   |     |  |  CL   |     |                 |7  |
             |  ----o----     |  ----o----     |                 |   |
             |      |13       |      |1        |               E o---
      16x    |      -----------------o----------                 |
   clock in  |                |                                 ---
       C ----------------------                                  -

                      Figure 1:  DOUBLE BUFFER CIRCUIT

 
CONTINUED IN PART 3 OF 4 ...

