
From: KC6HPN @ WB6YMH.#SOCA.CA

TAPR FULL-DUPLEX (NEW) 9600 BAUD MODEM MODS BY KC6HPN  (PART 3 OF 4)

If the input signal to a flip-flop is in transition when the flip-flop is
clocked, the flip-flop will briefly become metastable.  That is, its output
will hover between logic 0 and logic 1.  In a short period, the flip-flop will
resolve the metastable state and settle to a 1 or a 0.  Two identical flip-
flops connected to in PARALLEL to the same asynchronous input (as are U7B and
U16) may not only produce glitches on their outputs, but will often settle to
DIFFERENT logic states.   Ooops!  Half the modem thinks it sees the bit, half
doesn't.  This causes bit errors and faulty DCD.

What the double-buffer  does is this: 1. On the first clock edge, the first
flip-flop clocks in the asynchronous data and resolves the metastable state.
2. On the second clock, the second flip-flop clocks in the settled data and
provides a stable, glitch-free output.  Propagation delay and setup and hold
time requirements prevent the two flip-flops from clocking the glitchy data
straight through, even though they are using the same clock edge.

A deglitched, synchronous output is then passed to U16 for DCD and bit clock
generation, and to U7B for bit recovery.  Glitches formerly generated in U7B
by metastability and passed to U19F through U11D are eliminated, removing the
need for a (bad) glitch filter formed by R34 and C24.

This circuit improved both DCD reliability and data recovery considerably on
my modem.  If your DCD indicator (on the modem) flickers even during a strong
signal and you get many retries, this circuit will help.

    HOW: The general method is to construct a circuit assembly using an IC
socket and mount the assembly "dead bug" style (upside-down) in the vacant U6
space.  If you are using the optional internal clock generator and U6 is
present, use any other convenient location.  Once assembled and connected, the
assembly is secured to the modem PC board by double-backed tape.

(A) Obtain a 14-pin PC mount IC socket, preferably with an integral VCC
decoupling capacitor, such as those made by AUGAT.  Turn the socket over.
Using fine insulated wire or resistor lead stubs, etc., construct the assembly 
as follows:  

I.   Wire pins 1, 4, 10, and 13 together
II.  Wire pins 3 and 11 together
III. Wire pins 2 and 9 together
IV.  Solder a 10k resistor between pins 1 and 14
V.   If you are not using a decoupled socket, solder a 0.047 uf capacitor
     between pins 14 and 7

(B) Once the assembly is completed, place it to one side and examine the modem
board.  Using a soldering iron and tweezers, lift the non-banded end of diode
D2 clear of its mounting hole.  Next, using the same procedure, lift the end
of R19 nearest to U5, the 7805 voltage regulator.  Bend the hanging ends of D2
and R19 together so that they touch.

(C) Using thin, flexible wire, connect point A (pin 12) on the double buffer
assembly to the joined ends of D2 and R19.  Secure with solder

(D) Using thin, flexible wire, connect point B (pin 5) on the double buffer
assembly to the mounting hole vacated by R19.  The area around the empty R19
hole is crowded, so solder carefully.

CONTINUED IN PART 4 OF 4 ...

